<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
ShowDlg Method (IEdmBatchItemGeneration)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmBatchItemGeneration Interface : ShowDlg Method (IEdmBatchItemGeneration)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

Shows the item creation dialog box.

# Syntax

Visual Basic |
--- | ---

    Function ShowDlg( _
       ByVal lParentWnd As System.Integer _
    ) As System.Boolean

C# |
--- | ---

    System.bool ShowDlg(
       System.int lParentWnd
    )

C++/CLI |
--- | ---

    System.bool ShowDlg(
    &   System.int lParentWnd
    )

#### Parameters

lParentWnd
  Parent window handle

#### Return Value

True if the user clicked OK, false if the user clicked Cancel

# Example

See the example in the IEdmBatchItemGeneration topic.

# Remarks

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: One of the arguments is invalid.

# See Also

####

IEdmBatchItemGeneration Interface
IEdmBatchItemGeneration Members

# Availability

SOLIDWORKS PDM Professional 2010